<?php
declare(strict_types=1);

if (!defined('ABSPATH')) {
    exit;
}

function ctrlbs_get_service(int $id): ?object {
    global $wpdb;
    return $wpdb->get_row($wpdb->prepare(
        "SELECT * FROM {$wpdb->prefix}ctrlbs_services WHERE id = %d",
        $id
    ));
}

function ctrlbs_get_all_services(): array {
    global $wpdb;
    return $wpdb->get_results(
        "SELECT * FROM {$wpdb->prefix}ctrlbs_services ORDER BY name ASC"
    ) ?: [];
}

function ctrlbs_add_service(string $name, float $price): int|false {
    global $wpdb;
    $result = $wpdb->insert(
        $wpdb->prefix . 'ctrlbs_services',
        ['name' => $name, 'price' => $price],
        ['%s', '%f']
    );
    return $result ? $wpdb->insert_id : false;
}

function ctrlbs_update_service(int $id, string $name, float $price): bool {
    global $wpdb;
    return (bool)$wpdb->update(
        $wpdb->prefix . 'ctrlbs_services',
        ['name' => $name, 'price' => $price],
        ['id' => $id],
        ['%s', '%f'],
        ['%d']
    );
}

function ctrlbs_delete_service(int $id): bool {
    global $wpdb;
    return (bool)$wpdb->delete(
        $wpdb->prefix . 'ctrlbs_services',
        ['id' => $id],
        ['%d']
    );
}