<?php
declare(strict_types=1);

if (!defined('ABSPATH')) {
    exit;
}

function ctrlbs_booking_form_shortcode(): string {
    ob_start();
    ?>
    <div class="ctrlbs-form-widget">
        <form id="ctrlbs-booking-form" class="ctrlbs-form">
            <?php wp_nonce_field('ctrlbs_nonce', 'booking_nonce'); ?>
            
            <label for="ctrlbs-name"><?php esc_html_e('Name:', 'ctrl-booking-system'); ?></label>
            <input type="text" id="ctrlbs-name" name="name" required maxlength="50">

            <label for="ctrlbs-email"><?php esc_html_e('Email:', 'ctrl-booking-system'); ?></label>
            <input type="email" id="ctrlbs-email" name="email" required maxlength="100">

            <label for="ctrlbs-phone"><?php esc_html_e('Phone:', 'ctrl-booking-system'); ?></label>
            <input type="tel" id="ctrlbs-phone" name="phone" required pattern="[0-9\+\-\(\)\s]+" maxlength="20"
                title="<?php echo esc_attr__('Please enter a valid phone number', 'ctrl-booking-system'); ?>">

            <label for="ctrlbs-service-select"><?php esc_html_e('Select Service:', 'ctrl-booking-system'); ?></label>
            <select id="ctrlbs-service-select" name="service_id" required>
                <option value=""><?php esc_html_e('Loading services...', 'ctrl-booking-system'); ?></option>
            </select>

            <label for="ctrlbs-booking-date"><?php esc_html_e('Select Date:', 'ctrl-booking-system'); ?></label>
            <input type="date" 
                id="ctrlbs-booking-date" 
                name="date" 
                required 
                min="<?php echo esc_attr(gmdate('Y-m-d')); ?>">

            <label for="ctrlbs-booking-time"><?php esc_html_e('Select Time:', 'ctrl-booking-system'); ?></label>
            <select id="ctrlbs-booking-time" name="time" required>
                <option value=""><?php esc_html_e('Select a date first', 'ctrl-booking-system'); ?></option>
            </select>

            <button type="submit" class="ctrlbs-submit"><?php esc_html_e('Book Now', 'ctrl-booking-system'); ?></button>
        </form>
        <div class="ctrlbs-success-message" style="display:none; margin-top: 10px;"></div>
        <div class="ctrlbs-error-message" style="display:none; margin-top: 10px;"></div>
    </div>
    <?php
    return ob_get_clean();
}

add_shortcode('ctrlbs_booking_form', 'ctrlbs_booking_form_shortcode');