<?php
if (!defined('ABSPATH')) {
    exit;
}

// Extract data passed from email function
$booking = ctrlbs_get_booking($data['booking_id']);
$settings = get_option('ctrlbs_settings', []);
$site_name = get_bloginfo('name');
?>
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <title>
        <?php
        // translators: %d is the booking ID number.
        echo sprintf(esc_html__('Booking Confirmation #%d', 'ctrl-booking-system'), esc_attr($data['booking_id']));
        ?>
    </title>
</head>
<body style="font-family: Arial, sans-serif; line-height: 1.6; color: #333;">
    <div style="max-width: 600px; margin: 0 auto; padding: 20px;">
        <div style="text-align: center; margin-bottom: 30px;">
            <h1 style="color: #007cba;"><?php echo esc_html($site_name); ?></h1>
            <h2><?php esc_html_e('Booking Confirmation', 'ctrl-booking-system'); ?></h2>
        </div>

        <p>
            <?php
            // translators: %s is the customer's name.
            echo sprintf(esc_html__('Dear %s,', 'ctrl-booking-system'), esc_html($data['name']));
            ?>
        </p>
        
        <p><?php esc_html_e('Thank you for your booking. Here are your booking details:', 'ctrl-booking-system'); ?></p>

        <div style="background: #f8f9fa; padding: 20px; border-radius: 5px; margin: 20px 0;">
            <p><strong><?php esc_html_e('Booking Reference:', 'ctrl-booking-system'); ?></strong> #<?php echo esc_html($data['booking_id']); ?></p>
            <p><strong><?php esc_html_e('Name:', 'ctrl-booking-system'); ?></strong> <?php echo esc_html($data['name']); ?></p>
            <p><strong><?php esc_html_e('Email:', 'ctrl-booking-system'); ?></strong> <?php echo esc_html($data['email']); ?></p>
            <p><strong><?php esc_html_e('Phone:', 'ctrl-booking-system'); ?></strong> <?php echo esc_html($data['phone']); ?></p>
            <p><strong><?php esc_html_e('Service:', 'ctrl-booking-system'); ?></strong> <?php echo esc_html($booking->service_name); ?></p>
            <p><strong><?php esc_html_e('Date:', 'ctrl-booking-system'); ?></strong> <?php echo esc_html(ctrlbs_format_date($data['date'])); ?></p>
            <p><strong><?php esc_html_e('Time:', 'ctrl-booking-system'); ?></strong> <?php echo esc_html(ctrlbs_format_time($data['time'])); ?></p>
            <p><strong><?php esc_html_e('Price:', 'ctrl-booking-system'); ?></strong> <?php echo esc_html(ctrlbs_format_price($booking->service_price)); ?></p>
        </div>

        <p><?php esc_html_e('If you need to make any changes to your booking, please contact us.', 'ctrl-booking-system'); ?></p>

        <hr style="border: 1px solid #eee; margin: 30px 0;">

        <div style="text-align: center; color: #666; font-size: 12px;">
            <p><?php echo esc_html($site_name); ?></p>
            <p><?php echo esc_html($settings['admin_email'] ?? get_option('admin_email')); ?></p>
        </div>
    </div>
</body>
</html>

